summaryrefslogtreecommitdiff
path: root/app-admin/pass
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
commitdda948891d3731927b821ce31f9d9a2d03ba20c5 (patch)
tree99cd40be4cbb0606260da212cd81b8ab2db9da9b /app-admin/pass
parenta3ceca1b4c0d9bdb550dc23f06ffbb5a8e033bc7 (diff)
downloadbaldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.gz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.xz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.zip
Adding metadata
Diffstat (limited to 'app-admin/pass')
-rw-r--r--app-admin/pass/Manifest1
-rw-r--r--app-admin/pass/files/50password-store-gentoo.el9
-rw-r--r--app-admin/pass/metadata.xml26
-rw-r--r--app-admin/pass/pass-1.7.4-r5.ebuild89
-rw-r--r--app-admin/pass/pass-9999.ebuild87
5 files changed, 212 insertions, 0 deletions
diff --git a/app-admin/pass/Manifest b/app-admin/pass/Manifest
new file mode 100644
index 000000000000..7d26c05863b0
--- /dev/null
+++ b/app-admin/pass/Manifest
@@ -0,0 +1 @@
+DIST password-store-1.7.4.tar.xz 65272 BLAKE2B db1a34b5900802731deaf09d3ade1d3f00022fd21eb0b21140dca3d399c89183dc901e5bce15d7bb6041e62017e2b8b6df61c6ec3eadb1df6c0278dbc6c2bc11 SHA512 1fe108895b224451b54e545d399b6a97040e094049448509f92ae33164a5cf9044a91f52edfc705fcf333f6526df1a478deeebc4df109764d58100f9e3e22681
diff --git a/app-admin/pass/files/50password-store-gentoo.el b/app-admin/pass/files/50password-store-gentoo.el
new file mode 100644
index 000000000000..122d813af1e7
--- /dev/null
+++ b/app-admin/pass/files/50password-store-gentoo.el
@@ -0,0 +1,9 @@
+(add-to-list 'load-path "@SITELISP@")
+(autoload 'password-store-edit "password-store" nil t)
+(autoload 'password-store-copy "password-store" nil t)
+(autoload 'password-store-init "password-store" nil t)
+(autoload 'password-store-insert "password-store" nil t)
+(autoload 'password-store-generate "password-store" nil t)
+(autoload 'password-store-remove "password-store" nil t)
+(autoload 'password-store-rename "password-store" nil t)
+(autoload 'password-store-version "password-store" nil t)
diff --git a/app-admin/pass/metadata.xml b/app-admin/pass/metadata.xml
new file mode 100644
index 000000000000..d39c5e0eef96
--- /dev/null
+++ b/app-admin/pass/metadata.xml
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>zx2c4@gentoo.org</email>
+ <name>Jason A. Donenfeld</name>
+ </maintainer>
+ <use>
+ <flag name="X">
+ Use <pkg>x11-misc/xclip</pkg> to copy passwords to the clipboard.
+ </flag>
+ <flag name="dmenu">
+ Add support for <pkg>x11-misc/dmenu</pkg> with the 'passmenu' program.
+ </flag>
+ <flag name="git">
+ Use <pkg>dev-vcs/git</pkg> for password revisions.
+ </flag>
+ <flag name="importers">
+ Allow importing passwords from other password managers using various contributed scripts.
+ </flag>
+ </use>
+ <upstream>
+ <remote-id type="cpe">cpe:/a:zx2c4:password-store</remote-id>
+ </upstream>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/app-admin/pass/pass-1.7.4-r5.ebuild b/app-admin/pass/pass-1.7.4-r5.ebuild
new file mode 100644
index 000000000000..24fcfa08e02c
--- /dev/null
+++ b/app-admin/pass/pass-1.7.4-r5.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit bash-completion-r1 elisp-common
+
+if [[ ${PV} = 9999* ]]; then
+ EGIT_REPO_URI="https://git.zx2c4.com/password-store"
+ inherit git-r3
+else
+ SRC_URI="https://git.zx2c4.com/password-store/snapshot/password-store-${PV}.tar.xz"
+ S="${WORKDIR}/password-store-${PV}"
+
+ KEYWORDS="amd64 arm arm64 ~ppc ppc64 ~riscv x86 ~arm64-macos ~x64-macos"
+fi
+
+DESCRIPTION="Stores, retrieves, generates, and synchronizes passwords securely"
+HOMEPAGE="https://www.passwordstore.org/"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="+git wayland X emacs dmenu importers"
+
+RDEPEND="
+ || (
+ app-alternatives/gpg[reference]
+ app-alternatives/gpg[freepg(-)]
+ )
+ media-gfx/qrencode[png(+)]
+ >=app-text/tree-1.7.0
+ git? ( dev-vcs/git )
+ wayland? ( gui-apps/wl-clipboard )
+ X? ( x11-misc/xclip )
+ elibc_Darwin? ( app-misc/getopt )
+ dmenu? ( x11-misc/dmenu x11-misc/xdotool )
+ emacs? ( >=app-editors/emacs-25.1:* >=app-emacs/s-1.9.0 >=app-emacs/with-editor-2.5.11 )
+"
+
+src_prepare() {
+ default
+
+ use elibc_Darwin || return
+ # use coreutils'
+ sed -i -e 's/openssl base64/base64/g' src/platform/darwin.sh || die
+ # host getopt isn't cool, and we aren't brew (rip out brew reference)
+ sed -i -e '/^GETOPT=/s/=.*$/=getopt-long/' src/platform/darwin.sh || die
+ # make sure we can find "mount"
+ sed -i -e 's:mount -t:/sbin/mount -t:' src/platform/darwin.sh || die
+}
+
+src_compile() {
+ use emacs && elisp-compile contrib/emacs/*.el
+}
+
+src_install() {
+ emake install \
+ DESTDIR="${D}" \
+ PREFIX="${EPREFIX}/usr" \
+ BASHCOMPDIR="$(get_bashcompdir)" \
+ WITH_BASHCOMP=yes \
+ WITH_ZSHCOMP=yes \
+ WITH_FISHCOMP=yes
+
+ use dmenu && dobin contrib/dmenu/passmenu
+
+ if use emacs; then
+ elisp-install password-store contrib/emacs/*.{el,elc}
+ elisp-site-file-install "${FILESDIR}/50password-store-gentoo.el"
+ fi
+
+ if use importers; then
+ exeinto /usr/share/${PN}/importers
+ doexe contrib/importers/*
+ fi
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+ if use importers; then
+ einfo "To import passwords from other password managers, you may use the"
+ einfo "various importer scripts found in:"
+ einfo " ${EROOT}/usr/share/${PN}/importers/"
+ fi
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
diff --git a/app-admin/pass/pass-9999.ebuild b/app-admin/pass/pass-9999.ebuild
new file mode 100644
index 000000000000..6f52a5c2fdef
--- /dev/null
+++ b/app-admin/pass/pass-9999.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=26.1
+inherit bash-completion-r1 elisp-common
+
+if [[ ${PV} = 9999* ]]; then
+ EGIT_REPO_URI="https://git.zx2c4.com/password-store"
+ inherit git-r3
+else
+ SRC_URI="https://git.zx2c4.com/password-store/snapshot/password-store-${PV}.tar.xz"
+ S="${WORKDIR}/password-store-${PV}"
+
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
+fi
+
+DESCRIPTION="Stores, retrieves, generates, and synchronizes passwords securely"
+HOMEPAGE="https://www.passwordstore.org/"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="+git wayland X emacs dmenu importers"
+
+RDEPEND="
+ app-crypt/gnupg
+ media-gfx/qrencode[png(+)]
+ >=app-text/tree-1.7.0
+ git? ( dev-vcs/git )
+ wayland? ( gui-apps/wl-clipboard )
+ X? ( x11-misc/xclip )
+ elibc_Darwin? ( app-misc/getopt )
+ dmenu? ( x11-misc/dmenu x11-misc/xdotool )
+ emacs? ( >=app-editors/emacs-26.1:* >=app-emacs/with-editor-2.5.11 )
+"
+
+src_prepare() {
+ default
+
+ use elibc_Darwin || return
+ # use coreutils'
+ sed -i -e 's/openssl base64/base64/g' src/platform/darwin.sh || die
+ # host getopt isn't cool, and we aren't brew (rip out brew reference)
+ sed -i -e '/^GETOPT=/s/=.*$/=getopt-long/' src/platform/darwin.sh || die
+ # make sure we can find "mount"
+ sed -i -e 's:mount -t:/sbin/mount -t:' src/platform/darwin.sh || die
+}
+
+src_compile() {
+ use emacs && elisp-compile contrib/emacs/*.el
+}
+
+src_install() {
+ emake install \
+ DESTDIR="${D}" \
+ PREFIX="${EPREFIX}/usr" \
+ BASHCOMPDIR="$(get_bashcompdir)" \
+ WITH_BASHCOMP=yes \
+ WITH_ZSHCOMP=yes \
+ WITH_FISHCOMP=yes
+
+ use dmenu && dobin contrib/dmenu/passmenu
+
+ if use emacs; then
+ elisp-install password-store contrib/emacs/*.{el,elc}
+ elisp-site-file-install "${FILESDIR}/50password-store-gentoo.el"
+ fi
+
+ if use importers; then
+ exeinto /usr/share/${PN}/importers
+ doexe contrib/importers/*
+ fi
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+ if use importers; then
+ einfo "To import passwords from other password managers, you may use the"
+ einfo "various importer scripts found in:"
+ einfo " ${EROOT}/usr/share/${PN}/importers/"
+ fi
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}